## org.eclipse.emf.cdo.common.protocol
Interface CDOProtocolConstants

    public interface CDOProtocolConstants

Since:
  2.0

Field Summary
`static int` `ERROR_NO_SESSION`
`static int` `ERROR_REPOSITORY_NOT_FOUND`
`static int` `NO_MORE_REMOTE_SESSIONS`
`static java.lang.String` `PROTOCOL_NAME`
`static java.lang.String` `QUERY_LANGUAGE_RESOURCES`
`static java.lang.String` `QUERY_LANGUAGE_RESOURCES_EXACT_MATCH`
`static java.lang.String` `QUERY_LANGUAGE_RESOURCES_FOLDER_ID`
`static int` `RELEASE_ALL_LOCKS`
`static byte` `REMOTE_SESSION_CLOSED`
`static byte` `REMOTE_SESSION_OPENED`
`static byte` `REMOTE_SESSION_SUBSCRIBED`
`static byte` `REMOTE_SESSION_UNSUBSCRIBED`
`static short` `SIGNAL_AUTHENTICATION`
`static short` `SIGNAL_CHANGE_SUBSCRIPTION`
`static short` `SIGNAL_COMMIT_NOTIFICATION`
`static short` `SIGNAL_COMMIT_TRANSACTION`
`static short` `SIGNAL_COMMIT_TRANSACTION_CANCEL`
`static short` `SIGNAL_COMMIT_TRANSACTION_PHASE1`
`static short` `SIGNAL_COMMIT_TRANSACTION_PHASE2`
`static short` `SIGNAL_COMMIT_TRANSACTION_PHASE3`
`static short` `SIGNAL_GET_REMOTE_SESSIONS`
`static short` `SIGNAL_LOAD_CHUNK`
`static short` `SIGNAL_LOAD_LIBRARIES`
`static short` `SIGNAL_LOAD_PACKAGES`
`static short` `SIGNAL_LOAD_REVISION`
`static short` `SIGNAL_LOAD_REVISION_BY_TIME`
`static short` `SIGNAL_LOAD_REVISION_BY_VERSION`
`static short` `SIGNAL_LOCK_OBJECTS`
`static short` `SIGNAL_OBJECT_LOCKED`
`static short` `SIGNAL_OPEN_SESSION`
`static short` `SIGNAL_PASSIVE_UPDATE`
`static short` `SIGNAL_QUERY`
`static short` `SIGNAL_QUERY_CANCEL`
`static short` `SIGNAL_REMOTE_SESSION_NOTIFICATION`
`static short` `SIGNAL_REPOSITORY_TIME`
`static short` `SIGNAL_RESOURCE_ID`
`static short` `SIGNAL_SET_AUDIT`
`static short` `SIGNAL_SYNC_REVISIONS`
`static short` `SIGNAL_UNLOCK_OBJECTS`
`static short` `SIGNAL_UNSUBSCRIBE_REMOTE_SESSIONS`
`static short` `SIGNAL_VERIFY_REVISION`
`static short` `SIGNAL_VIEWS_CHANGED`
`static byte` `VIEW_AUDIT`
`static byte` `VIEW_CLOSED`
`static byte` `VIEW_READONLY`
`static byte` `VIEW_TRANSACTION`

Field Detail

### PROTOCOL_NAME

    static final java.lang.String PROTOCOL_NAME

See Also:
  Constant Field Values

### SIGNAL_OPEN_SESSION

    static final short SIGNAL_OPEN_SESSION

See Also:
  Constant Field Values

### SIGNAL_AUTHENTICATION

    static final short SIGNAL_AUTHENTICATION

See Also:
  Constant Field Values

### SIGNAL_LOAD_LIBRARIES

    static final short SIGNAL_LOAD_LIBRARIES

See Also:
  Constant Field Values

### SIGNAL_VIEWS_CHANGED

    static final short SIGNAL_VIEWS_CHANGED

See Also:
  Constant Field Values

### SIGNAL_RESOURCE_ID

    static final short SIGNAL_RESOURCE_ID

See Also:
  Constant Field Values

### SIGNAL_LOAD_PACKAGES

    static final short SIGNAL_LOAD_PACKAGES

See Also:
  Constant Field Values

### SIGNAL_LOAD_REVISION

    static final short SIGNAL_LOAD_REVISION

See Also:
  Constant Field Values

### SIGNAL_LOAD_REVISION_BY_TIME

    static final short SIGNAL_LOAD_REVISION_BY_TIME

See Also:
  Constant Field Values

### SIGNAL_LOAD_REVISION_BY_VERSION

    static final short SIGNAL_LOAD_REVISION_BY_VERSION

See Also:
  Constant Field Values

### SIGNAL_LOAD_CHUNK

    static final short SIGNAL_LOAD_CHUNK

See Also:
  Constant Field Values

### SIGNAL_VERIFY_REVISION

    static final short SIGNAL_VERIFY_REVISION

See Also:
  Constant Field Values

### SIGNAL_COMMIT_TRANSACTION

    static final short SIGNAL_COMMIT_TRANSACTION

See Also:
  Constant Field Values

### SIGNAL_COMMIT_TRANSACTION_PHASE1

    static final short SIGNAL_COMMIT_TRANSACTION_PHASE1

See Also:
  Constant Field Values

### SIGNAL_COMMIT_TRANSACTION_PHASE2

    static final short SIGNAL_COMMIT_TRANSACTION_PHASE2

See Also:
  Constant Field Values

### SIGNAL_COMMIT_TRANSACTION_PHASE3

    static final short SIGNAL_COMMIT_TRANSACTION_PHASE3

See Also:
  Constant Field Values

### SIGNAL_COMMIT_TRANSACTION_CANCEL

    static final short SIGNAL_COMMIT_TRANSACTION_CANCEL

See Also:
  Constant Field Values

### SIGNAL_COMMIT_NOTIFICATION

    static final short SIGNAL_COMMIT_NOTIFICATION

See Also:
  Constant Field Values

### SIGNAL_QUERY

    static final short SIGNAL_QUERY

See Also:
  Constant Field Values

### SIGNAL_QUERY_CANCEL

    static final short SIGNAL_QUERY_CANCEL

See Also:
  Constant Field Values

### SIGNAL_SYNC_REVISIONS

    static final short SIGNAL_SYNC_REVISIONS

See Also:
  Constant Field Values

### SIGNAL_PASSIVE_UPDATE

    static final short SIGNAL_PASSIVE_UPDATE

See Also:
  Constant Field Values

### SIGNAL_CHANGE_SUBSCRIPTION

    static final short SIGNAL_CHANGE_SUBSCRIPTION

See Also:
  Constant Field Values

### SIGNAL_SET_AUDIT

    static final short SIGNAL_SET_AUDIT

See Also:
  Constant Field Values

### SIGNAL_REPOSITORY_TIME

    static final short SIGNAL_REPOSITORY_TIME

See Also:
  Constant Field Values

### SIGNAL_LOCK_OBJECTS

    static final short SIGNAL_LOCK_OBJECTS

See Also:
  Constant Field Values

### SIGNAL_UNLOCK_OBJECTS

    static final short SIGNAL_UNLOCK_OBJECTS

See Also:
  Constant Field Values

### SIGNAL_OBJECT_LOCKED

    static final short SIGNAL_OBJECT_LOCKED

See Also:
  Constant Field Values

### SIGNAL_GET_REMOTE_SESSIONS

    static final short SIGNAL_GET_REMOTE_SESSIONS

See Also:
  Constant Field Values

### SIGNAL_UNSUBSCRIBE_REMOTE_SESSIONS

    static final short SIGNAL_UNSUBSCRIBE_REMOTE_SESSIONS

See Also:
  Constant Field Values

### SIGNAL_REMOTE_SESSION_NOTIFICATION

    static final short SIGNAL_REMOTE_SESSION_NOTIFICATION

See Also:
  Constant Field Values

### ERROR_REPOSITORY_NOT_FOUND

    static final int ERROR_REPOSITORY_NOT_FOUND

See Also:
  Constant Field Values

### ERROR_NO_SESSION

    static final int ERROR_NO_SESSION

See Also:
  Constant Field Values

### VIEW_TRANSACTION

    static final byte VIEW_TRANSACTION

See Also:
  Constant Field Values

### VIEW_AUDIT

    static final byte VIEW_AUDIT

See Also:
  Constant Field Values

### VIEW_READONLY

    static final byte VIEW_READONLY

See Also:
  Constant Field Values

### VIEW_CLOSED

    static final byte VIEW_CLOSED

See Also:
  Constant Field Values

### QUERY_LANGUAGE_RESOURCES

    static final java.lang.String QUERY_LANGUAGE_RESOURCES

See Also:
  Constant Field Values

### QUERY_LANGUAGE_RESOURCES_FOLDER_ID

    static final java.lang.String QUERY_LANGUAGE_RESOURCES_FOLDER_ID

See Also:
  Constant Field Values

### QUERY_LANGUAGE_RESOURCES_EXACT_MATCH

    static final java.lang.String QUERY_LANGUAGE_RESOURCES_EXACT_MATCH

See Also:
  Constant Field Values

### RELEASE_ALL_LOCKS

    static final int RELEASE_ALL_LOCKS

See Also:
  Constant Field Values

### NO_MORE_REMOTE_SESSIONS

    static final int NO_MORE_REMOTE_SESSIONS

See Also:
  Constant Field Values

### REMOTE_SESSION_OPENED

    static final byte REMOTE_SESSION_OPENED

See Also:
  Constant Field Values

### REMOTE_SESSION_CLOSED

    static final byte REMOTE_SESSION_CLOSED

See Also:
  Constant Field Values

### REMOTE_SESSION_SUBSCRIBED

    static final byte REMOTE_SESSION_SUBSCRIBED

See Also:
  Constant Field Values

### REMOTE_SESSION_UNSUBSCRIBED

    static final byte REMOTE_SESSION_UNSUBSCRIBED

See Also:
  Constant Field Values

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.